################################################################################
# Automatically-generated file. Do not edit!
################################################################################

# Add inputs and outputs from these tool invocations to the build variables 
C_SRCS += \
../libwrap/sys/_exit.c \
../libwrap/sys/close.c \
../libwrap/sys/execve.c \
../libwrap/sys/fork.c \
../libwrap/sys/fstat.c \
../libwrap/sys/getpid.c \
../libwrap/sys/isatty.c \
../libwrap/sys/kill.c \
../libwrap/sys/link.c \
../libwrap/sys/lseek.c \
../libwrap/sys/open.c \
../libwrap/sys/openat.c \
../libwrap/sys/read.c \
../libwrap/sys/sbrk.c \
../libwrap/sys/stat.c \
../libwrap/sys/times.c \
../libwrap/sys/unlink.c \
../libwrap/sys/wait.c \
../libwrap/sys/write.c 

O_SRCS += \
../libwrap/sys/_exit.o \
../libwrap/sys/close.o \
../libwrap/sys/execve.o \
../libwrap/sys/fork.o \
../libwrap/sys/fstat.o \
../libwrap/sys/getpid.o \
../libwrap/sys/isatty.o \
../libwrap/sys/kill.o \
../libwrap/sys/link.o \
../libwrap/sys/lseek.o \
../libwrap/sys/open.o \
../libwrap/sys/read.o \
../libwrap/sys/sbrk.o \
../libwrap/sys/stat.o \
../libwrap/sys/times.o \
../libwrap/sys/unlink.o \
../libwrap/sys/wait.o \
../libwrap/sys/write.o 

OBJS += \
./libwrap/sys/_exit.o \
./libwrap/sys/close.o \
./libwrap/sys/execve.o \
./libwrap/sys/fork.o \
./libwrap/sys/fstat.o \
./libwrap/sys/getpid.o \
./libwrap/sys/isatty.o \
./libwrap/sys/kill.o \
./libwrap/sys/link.o \
./libwrap/sys/lseek.o \
./libwrap/sys/open.o \
./libwrap/sys/openat.o \
./libwrap/sys/read.o \
./libwrap/sys/sbrk.o \
./libwrap/sys/stat.o \
./libwrap/sys/times.o \
./libwrap/sys/unlink.o \
./libwrap/sys/wait.o \
./libwrap/sys/write.o 

C_DEPS += \
./libwrap/sys/_exit.d \
./libwrap/sys/close.d \
./libwrap/sys/execve.d \
./libwrap/sys/fork.d \
./libwrap/sys/fstat.d \
./libwrap/sys/getpid.d \
./libwrap/sys/isatty.d \
./libwrap/sys/kill.d \
./libwrap/sys/link.d \
./libwrap/sys/lseek.d \
./libwrap/sys/open.d \
./libwrap/sys/openat.d \
./libwrap/sys/read.d \
./libwrap/sys/sbrk.d \
./libwrap/sys/stat.d \
./libwrap/sys/times.d \
./libwrap/sys/unlink.d \
./libwrap/sys/wait.d \
./libwrap/sys/write.d 


# Each subdirectory must supply rules for building sources it contributes
libwrap/sys/%.o: ../libwrap/sys/%.c
	@echo 'Building file: $<'
	@echo 'Invoking: Cross GCC Compiler'
	riscv32-unknown-elf-gcc -O0 -g3 -Wall -c -fmessage-length=0 -MMD -MP -MF"$(@:%.o=%.d)" -MT"$(@)" -o "$@" "$<"
	@echo 'Finished building: $<'
	@echo ' '


